Subject: Re: [PATCH v2 net] ptp: ocp: adjust serial port symlink creation

From: Vadim Fedorenko <[email-masked]>
Date: Wed, 22 May 2024 13:39:21 +0100

On 10/05/2024 12:13, Greg Kroah-Hartman wrote:
> On Fri, May 10, 2024 at 11:04:05AM +0000, Vadim Fedorenko wrote:
>> The commit b286f4e87e32 ("serial: core: Move tty and serdev to be children
>> of serial core port device") changed the hierarchy of serial port devices
>> and device_find_child_by_name cannot find ttyS* devices because they are
>> no longer directly attached. Add some logic to restore symlinks creation
>> to the driver for OCP TimeCard.
>>
>> Fixes: b286f4e87e32 ("serial: core: Move tty and serdev to be children of serial core port device")
>> Signed-off-by: Vadim Fedorenko <[email-masked]>
>> ---
>> v2:
>>   add serial/8250 maintainers
>> ---
>>   drivers/ptp/ptp_ocp.c | 30 +++++++++++++++++++++---------
>>   1 file changed, 21 insertions(+), 9 deletions(-)
> 
> Hi,
> 
> This is the friendly patch-bot of Greg Kroah-Hartman.  You have sent him
> a patch that has triggered this response.  He used to manually respond
> to these common problems, but in order to save his sanity (he kept
> writing the same thing over and over, yet to different people), I was
> created.  Hopefully you will not take offence and will fix the problem
> in your patch and resubmit it so that it can be accepted into the Linux
> kernel tree.
> 
> You are receiving this message because of the following common error(s)
> as indicated below:
> 
> - You have marked a patch with a "Fixes:" tag for a commit that is in an
>    older released kernel, yet you do not have a cc: stable line in the
>    signed-off-by area at all, which means that the patch will not be
>    applied to any older kernel releases.  To properly fix this, please
>    follow the documented rules in the
>    Documentation/process/stable-kernel-rules.rst file for how to resolve
>    this.
> 
> If you wish to discuss this problem further, or you have questions about
> how to resolve this issue, please feel free to respond to this email and
> Greg will reply once he has dug out from the pending patches received
> from other developers.

Hi Greg!

Just gentle ping, I'm still looking for better solution for serial
device lookup in TimeCard driver.

Thanks,
Vadim